SNA

Run once

Run one temporary agent execution and return the final result.

POST
/agent/run-once

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/run-once" \  -H "Content-Type: application/json" \  -d '{    "message": "string"  }'
{
  "result": "string",
  "usage": {
    "property1": null,
    "property2": null
  }
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}